[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColReadString

Read a string from a stream

## Declaration

Source position: streamcoll.pp line 77

`function ColReadString(`
`S: TStream`
`):string;`

## Arguments

`S` |  | Stream to read string value from

## Function result

String value read from the stream

## Description

ColReadStream reads a string value from the stream S as it was written by ColWriteString and returns the read value. The value cannot be read and written across systems that have different endian values.

## See also

ColReadDateTime |  | Read a TDateTime value from a stream
ColReadBoolean |  | Read a boolean value from a stream
ColWriteString |  | Write a string value to the stream
ColReadInteger |  | Read a 32-bit integer from a stream.
ColReadFloat |  | Read a floating point value from a stream
ColReadCurrency |  | Read a currency value from the stream

Documentation generated on: Feb 26 2014